*
* Program....: Cursor.Prg
* Author.....: Michael Clerc
* System.....: Marvelous.Lib  -  Summer '87 Version
* Date.......: Mon  02-19-1990  -  Re-Written Mon  11-04-1991
* Purpose....: to turn the cursor OFF or ON with a simple function call
*            : Cursor(0) - OFF   Cursor(1) - ON
*            : Cursor()  - Returns current status
*            :
*            : a public variable MUST be declared at the top of the program
*            : and maintained throughout the program  (_xcurs)
* Syntax.....: _xcurs = .t.
*            :
* Copyright..:           Simply Marvelous Solutions
*                               Mesa, AZ
*                     (c) 1992 - All Rights Reserved
*
Function Cursor
Parameters nStatus

If Type("_xcurs") = "U"
  Public _xcurs
  Set Cursor OFF
  _xcurs = .F.
Endif

If PCount() = 0
  Return(_xcurs)
ElseIf Type("nStatus") = "N"
  If nStatus == 1
    nStatus = .T.
    _xcurs  = .T.
  ElseIf nStatus == 0
    nStatus = .F.
    _xcurs  = .F.
  Endif
ElseIf Type("nStatus") = "L"
  If nStatus
    nStatus = .T.
    _xcurs  = .T.
  ElseIf !nStatus
    nStatus = .F.
    _xcurs  = .F.
  Endif
Endif

If nStatus
  Set Cursor ON
Else
  Set Cursor OFF
Endif
Return(_xcurs)
** Eof........: Cursor.Prg
